tld_check_4(3)

NAME
tld_check_4 - API function

SYNOPSIS
#include <tld.h>

int tld_check_4(const uint32_t * in, size_t inlen, size_t * errpos, const Tld_table ** overrides);

ARGUMENTS

const uint32_t * in
    Array of unicode code points to process. Does not need to be zero terminated.

size_t inlen
    Number of unicode code points.

size_t * errpos
    Position of offending character is returned here.

const Tld_table ** overrides
    A Tld_table array of additional domain restriction structures that complement and supersede the built-in information.

DESCRIPTION
Test each of the code points in in for whether or not they are allowed by the information in overrides or by the built-in TLD restriction data. When data for the same TLD is available both internally and in overrides, the information in overrides takes precedence. If several entries for a specific TLD are found, the first one is used. If overrides is NULL, only the built-in information is used. The position of the first offending character is returned in errpos.

RETURN VALUE
Returns the Tld_rc value TLD_SUCCESS if all code points are valid or when tld is null, TLD_INVALID if a character is not allowed, or additional error codes on general failure conditions.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.